{% set pages = site.query('/landing-pages') %}
{% for page in pages %}
{% if page._model == 'donate-bandwidth' %}

<!-- Section - 3 (donate-bandwidth) -->
<div class="d-flex flex-column align-items-center bg-light donate-bandwidth">
    <!-- Div - A  - Volunteers Text area -->
    <div class="d-flex flex-column align-items-center gap-3 gp-md-5">
        <div class="d-flex flex-column align-items-center gap-3">
            <!-- Badge - UUBLOCKED USER -->
            <span class="badge text-bg-blue bg-avocado">{{page.unBlockedTag}}</span>
            <div class="donate-bandwidth-text-head  ">{{page.heading}}</div>
        </div>
        <div class="d-flex flex-column align-items-center gap-4">
            <div class="donate-bandwidth-sub-text-head">{{page.tag}}</div>
            <div class="donate-bandwidth-sub-count-text">{{page.countData}}</div>
        </div>
    </div>

    <!-- Div  - B - Download  -->

    <div class="  d-block d-xl-flex  align-item-center gap-3 cards-donate-bandwidth ">

        <div class=" d-flex flex-column  align-item-center gap-5 warning-sub-section">



            <div class="addonBtns" id="addonBtns">


                <div class="d-flex flex-column align-items-center gap-1 browser-addon-graphic">
                    <div class="d-flex align-items-center addon-bar">


                        <div class="address-bar-addon"><!-- address bar --></div>

                        <!-- icon - account-circle -->
                        <div class="icon-btn-bar">
                            <img class="w-100 h-100" src="{{ '/static/images/account-circle.svg'|asseturl }}"
                                alt="dropdown-icon" />
                        </div>

                        <!-- icon - ac-unit -->
                        <div class="icon-btn-bar icon-btn-bg-dark">
                            <img class="w-100 h-100" src="{{ '/static/images/ac-unit.svg'|asseturl }}"
                                alt="dropdown-icon" />
                        </div>

                        <!-- icon - menu -->
                        <div class="icon-btn-bar">
                            <img class="w-100 h-100" src="{{ '/static/images/menu.svg'|asseturl }}"
                                alt="dropdown-icon" />
                        </div>
                    </div>
                </div>


                <!-- Snowflake Extension - Right now, It automatically detects system theme dark/light  -->
                <div class="d-flex justify-content-center align-items-center ">
                    <!-- Snowflake Extension - iframe -->
                    <iframe class="i-frame-snowflake" src="https://snowflake.torproject.org/embed.html"
                        color-scheme="light" width="62%" height="240" frameborder="0" scrolling="yes"></iframe>
                </div>
            </div>


            <!-- Long Card - Left - Install Browser Addon -->
            <div class="d-flex flex-column  warning-area ">
                <div class="d-flex flex-column   gap-4">
                    <div class="warning-area-head-text">{{page.installText}}</div>
                    <div class="warning-area-sub-text">{{page.installSubText}}</div>
                </div>


                <!-- button group (Install and Dropdown) -->
                <div class="btn-group">
                    <a href="https://chrome.google.com/webstore/detail/snowflake/mafpmfcccpbjnhfhjnllmmalhifmlcie"
                        id="mainButton" class="btn btn-download-avocado btn-lg gap-3 d-flex" type="button">
                        <img class="w-1.75rem h-1.75rem" src="{{ '/static/images/install_desktop.svg'|asseturl }}"
                            alt="Install-desktop-icon" />
                        <span id="mainBtnText">
                            {{ _('Install Extension') }}
                        </span>
                    </a>

                    <!-- Dropdown -->
                    <button type="button" class="btn btn-lg btn-download-avocado-dropdown dropdown-toggle-split"
                        data-bs-toggle="dropdown" aria-expanded="false">
                        <img class="w-1.75rem h-1.75rem" src="{{ '/static/images/chevron.svg'|asseturl }}"
                            alt="dropdown-icon" />
                    </button>
                    <!-- Dropdown Items -->
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" target="_blank"
                                href="https://addons.mozilla.org/en-US/firefox/addon/torproject-snowflake/">{{ _('Install for Firefox') }} </a></li>
                        <li><a class="dropdown-item" target="_blank"
                                href="https://chrome.google.com/webstore/detail/snowflake/mafpmfcccpbjnhfhjnllmmalhifmlcie">{{ _('Install for Chrome') }}</a></li>
                        <li><a class="dropdown-item" target="_blank"
                                href="https://chrome.google.com/webstore/detail/snowflake/mafpmfcccpbjnhfhjnllmmalhifmlcie">{{ _('Install for Edge') }}</a></li>
                    </ul>
                </div>

            </div>

        </div>

        <!-- Card Area - 2 Cards  -->
        <div
            class="d-flex flex-sm-row flex-xl-column my-xl-0 my-3    justify-content-center gap-3 nightly-card-area">
            <!-- card 1 - View Guide-->
            <div class="gap-3 col-xl-12 col-lg-9 col-md-8 col-sm-6  col-12  nightly-card card-bg-bluee">
                <img class="w-1.75rem h-1.75rem" src="{{ '/static/images/terminal.svg'|asseturl }}"
                    alt="Terminal-icon" />
                <div class="nightly-card-text-area">{{page.cardGuideText}}</div>
                <div class="btn-bottom-card">
                    <a href="https://community.torproject.org/relay/setup/snowflake/" target="_blank" type="button"
                        class="d-flex btn btn-card-action-blue p-3 gap-1">
                        {{page.cardGuideBtnText}}</a>
                </div>
            </div>

            <!-- Card 2 - Copy Code -->
            <div class="gap-3 col-xl-12 col-lg-9 col-md-8 col-sm-6 col-12 nightly-card card-bg-purple">
                <img class="w-1.75rem h-1.75rem" src="{{ '/static/images/code.svg'|asseturl }}" alt="Code-icon" />
                <div class="nightly-card-text-area">{{page.cardCopyText}}</div>
                <div class="btn-bottom-card">
                    <!-- JavaScript code for clipboard copying (located at the bottom) -->
                    <div class=" alert-copy-code " id="copyAlert" role="alert">
                        <!-- Iframe code copied to clipboard! -->
                        <span class="badge bg-light">
                            {{ _('copied to clipboard') }}
                           </span>

                    </div>
                    <button id="copyButton" type="button" class="d-flex btn btn-card-action-purple p-3 gap-1">
                        {{page.cardCopyBtnText}}
                    </button>
                </div>
            </div>
            <!-- Alert for successful copy -->
        </div>
    </div>

</div>



<!-- Javascipt code for copying (Copying iframe command) -->
<script>
    document.getElementById("copyButton").addEventListener("click", function () {

        const iframeCode = '<iframe src="https://snowflake.torproject.org/embed.html" width="320" height="240" frameborder="0" scrolling="no"></iframe>';

        const tempTextArea = document.createElement("textarea");
        tempTextArea.value = iframeCode;
        document.body.appendChild(tempTextArea);
        tempTextArea.select();
        document.execCommand("copy");
        document.body.removeChild(tempTextArea);

        const alertDiv = document.getElementById("copyAlert");
        alertDiv.style.display = "flex";

        setTimeout(() => {
            alertDiv.style.display = "none";
        }, 3000); // Hide the alert after 3 seconds
    });
</script>


<!-- Javascript for Install Extension btn - it detects browser and sets link accordingly -->
<script>
    document.addEventListener("DOMContentLoaded", function () {
        const mainButton = document.getElementById("mainButton");
        const mainBtnText = document.getElementById("mainBtnText");
        const userAgent = navigator.userAgent;

        // Checks user agent for platform and recommend the correct extension link
        if (userAgent.includes("Firefox")) {
            mainBtnText.innerHTML = "Install for Firefox"; // Update button text
            mainButton.href = "https://addons.mozilla.org/en-US/firefox/addon/torproject-snowflake/";
        } else if (userAgent.includes("Edg")) { // Microsoft Edge
            mainBtnText.innerHTML = "Install for Edge"; // Update button text
            mainButton.href = "https://chrome.google.com/webstore/detail/snowflake/mafpmfcccpbjnhfhjnllmmalhifmlcie";
        } else if (userAgent.includes("Chrome")) {
            mainBtnText.innerHTML = "Install for Chrome"; // Update button text
            mainButton.href = "https://chrome.google.com/webstore/detail/snowflake/mafpmfcccpbjnhfhjnllmmalhifmlcie";
        }
    });
</script>

{% endif %}
{% endfor %}
